- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/getCustomCases#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/getCustomCases#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/getCustomCases#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/getCustomCases#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/getCustomCases#body.GetCustomCasesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/getCustomCases#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCases/getCustomCases#body.aspect_1)

**Full name**: projects.locations.instances.legacyCases.getCustomCases

Lists the names of all custom simulated cases defined in the environment. Use this to discover available simulation scenarios for testing.

### HTTP request

`GET https://{endpoint}/v1alpha/{name}/legacyCases:getCustomCases`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the LegacyCase to retrieve. Format: projects/{project}/locations/{location}/instances/{instance}/legacyCases |

### Request body

The request body must be empty.

### Response body

Response message for legacyCases.getCustomCases.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "payload": [ string ] } ``` |

| Fields ||
|---|---|
| `payload[]` | `string` Output only. The names of the custom cases. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.legacyCases.getSimulated`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).